#ifndef SKINS_RES_H
#define SKINS_RES_H

#include "skins.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef PLATFORM_CPU
#define SKINS_DB_PATH			("./skins.db")
#define DEF_SKINS_ROOT_PATH     "/home/hx/MyProjects/release/drivers/skins/"
#else
#define SKINS_DB_PATH			("/mnt/UDISK/skins.db")
#define DEF_SKINS_ROOT_PATH     "/usr/share/resource/"
#endif

#define EMU_HTTP_URL_ROOT       "http://10.240.84.163/resource/"

#if 0
#define TEXT_WIFIPARING_APPARINGANDCONNECTING 	("接收到WIFI配置参数，开始连接，可能时间比较长，请耐心等待")
#define TEXT_BT_WIFIPARING                    	("进入蓝牙网络配对模式")
#define TEXT_AP_WIFIPARING                    	("进入AP网络配对模式")
#define TEXT_WIFICONNECTED                    	("联网成功")
#define TEXT_SYSTEMBOOT                       	("很高兴遇见你，我是如意")
#define TEXT_NOTRECVINGWIFICONFIG             	("没有收到网络配置信息")
#define TEXT_BLE_SUUCCESS_WAIT_CONFIG         	("低功耗蓝牙已连接，等待配网")
#define TEXT_AP_WAIT_CONFIG                   	("当前在AP配网模式，等待配网")
#define TEXT_WIFINOTCONNECT                   	("网络未连接")
#define TEXT_REQSERVER_ERROR                  	("服务器请求失败，请重新配网")
#define TEXT_BLE_CONNECT                      	("ble已连接")
#define TEXT_BLE_DISCONNECT                   	("ble已断开")
#define TEXT_WIFIPARINGSUCCESS                	("网络配对成功")
#define TEXT_BT_ON                            	("开启传统蓝牙")
#define TEXT_BT_OFF                           	("关闭传统蓝牙")
#define TEXT_ALARM_REMOVE_ALL                   ("删除全部闹钟成功")
#define TEXT_ALARM_REMOVE                       ("删除闹钟成功")
#define TEXT_ALARM_ADD                          ("闹钟设置成功")
#define TEXT_AP_APP_CONNECTED                   ("APP已通过wifi连接音箱")
#define TEXT_WIFICONNECT_ERR_REPARING     		("wifi联网失败，请重新配网")
#define TEXT_WIFICONNECT_ERR_PASS         		("ssid或密码错误，请重新配网")
#define TEXT_WIFIPARING_ERR_SERVERCONNECT 		("服务器连接失败，请重新配网")
#define TEXT_NOT_UNSUPPORT           			("不支持当前操作")
#define TEXT_BOOT_DONE               			("你好，欢迎使用如意音箱")
#define TEXT_WIFIPARING_FIRST_NOTICE 			("请使用网易云音乐APP ，进入账号页面 为音箱配网,请下载如意音响APP，为音箱配网")
#endif

const SKIN_RES_INFO	g_SkinDefaultResTable[] = {
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	/// voice resources
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#ifndef RES_FACTORY_MODE
	{VOICE_RES,    "0", 	"v102",	    DEF_SKINS_ROOT_PATH"voice/Alianwang002.mp3", 	"c84ee8c2dade8b5d39e36d10ee8e3807"},
#endif                                  
	{VOICE_RES,    "0", 	"v103",	    DEF_SKINS_ROOT_PATH"voice/Alianwang003.mp3", 	"33c00781480680a9ea5ef6be1f7ac258"},
	{VOICE_RES,    "0", 	"v104",	    DEF_SKINS_ROOT_PATH"voice/Alianwang004.mp3", 	"d8ee9527dd6635f7251b455fcf177723"},
	{VOICE_RES,    "0", 	"v105",	    DEF_SKINS_ROOT_PATH"voice/Alianwang005.mp3", 	"87849f3c844a42d765e85631ccfca2eb"},
	{VOICE_RES,    "0", 	"v106",	    DEF_SKINS_ROOT_PATH"voice/Alianwang006.mp3", 	"46a63182f73e242fff7f202fc621ef17"},
	{VOICE_RES,    "0", 	"v107",	    DEF_SKINS_ROOT_PATH"voice/Alianwang007.mp3", 	"fc02f25d84abfe066fd4ae8c140fe5f7"},
	{VOICE_RES,    "0", 	"v108",	    DEF_SKINS_ROOT_PATH"voice/Alianwang008.mp3", 	"da772f7fcec24ebcd85bc3d9fe323f88"},
	{VOICE_RES,    "0", 	"v109",	    DEF_SKINS_ROOT_PATH"voice/Alianwang009.mp3", 	"22b8163a5956bb877db55d38f1223cb2"},
	{VOICE_RES,    "0", 	"v110",	    DEF_SKINS_ROOT_PATH"voice/Alianwang010.mp3", 	"5d83539bcb59558dd53352b898512227"},
	{VOICE_RES,    "0", 	"v111",	    DEF_SKINS_ROOT_PATH"voice/Alianwang011.mp3", 	"58de437b7778885481678cc48bc4b592"},
	{VOICE_RES,    "0", 	"v112",	    DEF_SKINS_ROOT_PATH"voice/Alianwang012.mp3", 	"0e1d0afc6663a73c5aa5d9de0072b8df"},
	{VOICE_RES,    "0", 	"v113",	    DEF_SKINS_ROOT_PATH"voice/Alianwang013.mp3", 	"f495927bf6b5c67991685e751f2fca40"},
    {VOICE_RES,    "0", 	"v114",	    DEF_SKINS_ROOT_PATH"voice/Alianwang014.mp3", 	"06b0f3de13c21c60ab73253ee16f36b3"},
    {VOICE_RES,    "0", 	"v202",	    DEF_SKINS_ROOT_PATH"voice/Ashiyong002.mp3", 	"e825e5c5b6989afb88d4084ffe1eff01"},
	{VOICE_RES,    "0", 	"v203",	    DEF_SKINS_ROOT_PATH"voice/Ashiyong003.mp3", 	"d7245a20b4a3597894e6af8a83770044"},
	{VOICE_RES,    "0", 	"v204",	    DEF_SKINS_ROOT_PATH"voice/Ashiyong004.mp3", 	"d546fe1b69f8ba62c14acd299ae5bc7e"},
	{VOICE_RES,    "0", 	"v205",	    DEF_SKINS_ROOT_PATH"voice/Ashiyong005.mp3", 	"79df29d63ac4ea40546f0274b7dd3c84"},
	{VOICE_RES,    "0", 	"v206",	    DEF_SKINS_ROOT_PATH"voice/Ashiyong006.mp3", 	"7f47f1796e125078778556d62bd573e2"},
	{VOICE_RES,    "0", 	"v301",	    DEF_SKINS_ROOT_PATH"voice/S001.mp3", 			"eee1506b7ed801e5aa6a6ccc18c0c1f1"},
	{VOICE_RES,    "0", 	"v302",	    DEF_SKINS_ROOT_PATH"voice/S002.mp3", 			"c90dbc04cda7bdb778a9cb196eb208a2"},
	{VOICE_RES,    "0", 	"v303",	    DEF_SKINS_ROOT_PATH"voice/S003.mp3", 			"89340aa9f735d082d9404bae014d7bae"},
    {VOICE_RES,    "0", 	"v304",	    DEF_SKINS_ROOT_PATH"voice/S004-1.mp3", 			"2a03648026864291cf0aad7bf6569734"},
    {VOICE_RES,    "0", 	"v3041",	DEF_SKINS_ROOT_PATH"voice/S004-2.mp3", 			"33cafc99de51b53afc97156866e82473"},
    {VOICE_RES,    "0", 	"v3042",	DEF_SKINS_ROOT_PATH"voice/S004-3.mp3", 			"0a1057342a661597730b521427d6097c"},
    {VOICE_RES,    "0", 	"v3043",    DEF_SKINS_ROOT_PATH"voice/S004-4.mp3", 			"c8061b90c50558c155ddc9ffef114e61"},
    {VOICE_RES,    "0", 	"v3044",    DEF_SKINS_ROOT_PATH"voice/S004-5.mp3", 			"97f94d1350bc09c9e974525172ad8fc0"},
	{VOICE_RES,    "0", 	"v305",	    DEF_SKINS_ROOT_PATH"voice/S005.mp3", 			"2e7a489501b76c73e5aa4be4f7e7aa5f"},
	{VOICE_RES,    "0", 	"v306",	    DEF_SKINS_ROOT_PATH"voice/S006.mp3", 			"437ddb3e99f77696d60c2f28c1b268cb"},
	{VOICE_RES,    "0", 	"v307",	    DEF_SKINS_ROOT_PATH"voice/S007.mp3", 			"a6c6be6f702b5b47ddebad61d28eb1ad"},
	{VOICE_RES,    "0", 	"v308",	    DEF_SKINS_ROOT_PATH"voice/S008.mp3", 			"5918f635de28b45f2d32e3eb4b05b9ad"},
	{VOICE_RES,    "0", 	"v309",	    DEF_SKINS_ROOT_PATH"voice/S009.mp3", 			"f9039012752b3ed2a00f173aa305acf1"},
	{VOICE_RES,    "0", 	"v310",	    DEF_SKINS_ROOT_PATH"voice/S010.mp3", 			"446ec757495bdf7aee31a41a9efe8bab"},
	{VOICE_RES,    "0", 	"v311",	    DEF_SKINS_ROOT_PATH"voice/S011.mp3", 			"e9fa92d8929dcb2e134f42c1cedf4827"},    
	{VOICE_RES,    "0", 	"v400",	    DEF_SKINS_ROOT_PATH"voice/B-h-60.mp3", 			"9828d1ab422bc917bc6aeb1b3e87be78"},
	{VOICE_RES,    "0", 	"v400",	    DEF_SKINS_ROOT_PATH"voice/B-h-61.mp3", 			"26afdbca771abb35ae30be251211245c"},
	{VOICE_RES,    "0", 	"v400",	    DEF_SKINS_ROOT_PATH"voice/B-h-62.mp3", 			"56bda2a05dee06eb64271d69df16a5f7"},
	{VOICE_RES,    "0", 	"v400",	    DEF_SKINS_ROOT_PATH"voice/B-h-63.mp3", 			"bfa246ebc08235208b01d251279c3c3a"},
	{VOICE_RES,    "0", 	"v400",	    DEF_SKINS_ROOT_PATH"voice/B-h-64.mp3", 			"4a18af279fce82af357a4d8061f76608"},
	{VOICE_RES,    "0", 	"v400",	    DEF_SKINS_ROOT_PATH"voice/B-h-65.mp3", 			"ec06ed18a96a28a5c2a8335f8c94af22"},
	{VOICE_RES,    "0", 	"v401",	    DEF_SKINS_ROOT_PATH"voice/B-h-66.mp3", 			"014233835f5b9996adb572c7ba7b2cfa"},
	{VOICE_RES,    "0", 	"v401",	    DEF_SKINS_ROOT_PATH"voice/B-h-67.mp3", 			"29a476772a85097a5fe31d2147234110"},
	{VOICE_RES,    "0", 	"v401",	    DEF_SKINS_ROOT_PATH"voice/B-h-68.mp3", 			"5a746e5a466c2beee159174b08049221"},
	{VOICE_RES,    "0", 	"v401",	    DEF_SKINS_ROOT_PATH"voice/B-h-69.mp3", 			"986d49e19cef9e19ed059112ed8ebbdf"},
	{VOICE_RES,    "0", 	"v401",	    DEF_SKINS_ROOT_PATH"voice/B-h-70.mp3", 			"666c2d4f6de83dfaf7a8b0ead3db7231"},
	{VOICE_RES,    "0", 	"v401",	    DEF_SKINS_ROOT_PATH"voice/B-h-71.mp3", 			"d39d5b43690f01bfb5746cadf1d98b17"},
	{VOICE_RES,    "0", 	"v402",	    DEF_SKINS_ROOT_PATH"voice/b-h-50.mp3", 			"017b53f7610f6dd99e21b546e6b35605"},
    {VOICE_RES,    "0", 	"v403",	    DEF_SKINS_ROOT_PATH"voice/b-h-51.mp3", 			"422b4550253780343b7a9805ca7b629a"},
    {VOICE_RES,    "0", 	"v5011",	DEF_SKINS_ROOT_PATH"voice/a-a-01.mp3", 			"5d9d186ef50b603ab84a9abbfd348630"},
    {VOICE_RES,    "0", 	"v5012",	DEF_SKINS_ROOT_PATH"voice/a-a-02.mp3", 			"837a2222c961824e98c0d3751a234ae6"},
    {VOICE_RES,    "0", 	"v5013",	DEF_SKINS_ROOT_PATH"voice/a-a-03.mp3", 			"0ec34a1f19ee7cea6b139d214e59026d"},
    {VOICE_RES,    "0", 	"v502",	    DEF_SKINS_ROOT_PATH"voice/a-n-01.mp3", 			"b1eb13ed8c9afaa2989763c3d379b39a"},
    {VOICE_RES,    "0", 	"v601",	    DEF_SKINS_ROOT_PATH"voice/b-m-1.mp3", 			"820cf2c01e03726b95bc4346a2ce8f8b"},
    {VOICE_RES,    "0", 	"v602",	    DEF_SKINS_ROOT_PATH"voice/b-m-2.mp3", 			"35a48b8ec586acfb99a612b4fc1ba57a"},
	{VOICE_RES,    "0", 	"v701", 	DEF_SKINS_ROOT_PATH"voice/B-b-1.mp3",			"993810d9cdcdc7ea02c5a069c9a66623"},
	{VOICE_RES,    "0", 	"v702", 	DEF_SKINS_ROOT_PATH"voice/B-b-2.mp3",			"2748a62323e3e004cdc54da7f50b2315"},
	{VOICE_RES,    "0", 	"v703", 	DEF_SKINS_ROOT_PATH"voice/B-b-3.mp3",			"5be4e22fb53180719b5385863a50a7ae"},
	{VOICE_RES,    "0", 	"v801", 	DEF_SKINS_ROOT_PATH"voice/C-yc-1.mp3",			"ea4268b86e2527f79a0f239944645cc9"},
	{VOICE_RES,    "0", 	"v901",	    DEF_SKINS_ROOT_PATH"voice/IoT-01.mp3", 			"22a19c8fc7b0a07701d256dde5eb510d"},
	{VOICE_RES,    "0", 	"v902",	    DEF_SKINS_ROOT_PATH"voice/IoT-02.mp3", 			"d1187715117c33ffd48788e53cefc5bf"},
	{VOICE_RES,    "0", 	"v903",	    DEF_SKINS_ROOT_PATH"voice/IoT-03.mp3", 			"39d829772814e1bd36b3d68863dbb651"},
	{VOICE_RES,    "0", 	"v904",	    DEF_SKINS_ROOT_PATH"voice/IoT-04.mp3", 			"3315787b7c9ce5ea3e9e77a4b27f7358"},
	{VOICE_RES,    "0", 	"v905",	    DEF_SKINS_ROOT_PATH"voice/IoT-05.mp3", 			"f4e8806c84c532bad54a25a81f983887"},
	{VOICE_RES,    "0", 	"v906",	    DEF_SKINS_ROOT_PATH"voice/IoT-06.mp3", 			"a214a9af112c9581353ebfa171f4132e"},
	{VOICE_RES,    "0", 	"v907",	    DEF_SKINS_ROOT_PATH"voice/IoT-07.mp3", 			"50b80fb9b4fc1afd96c0118382a25282"},
	{VOICE_RES,    "0", 	"v908",	    DEF_SKINS_ROOT_PATH"voice/IoT-08.mp3", 			"ea911086bfe0603256ef4b7b6ab731e2"},
	{VOICE_RES,    "0", 	"v909",	    DEF_SKINS_ROOT_PATH"voice/IoT-09.mp3", 			"32461a940f695d80623a05c871a0dcda"},
    /////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	/// picture resources
    /////////////////////////////////////////////////////////////////////////////////////////////////////////// 
    {IMAGE_RES,    "0", 	"p001",	    DEF_SKINS_ROOT_PATH"image/IconChaozuo001.jpg",	"0d4aa6351cc71daf2c699e42c1b74cde"},
    {IMAGE_RES,    "0", 	"p005",	    DEF_SKINS_ROOT_PATH"image/IconChaozuo005.jpg",	"1ceca68b9e7d49c537376a08c07a2b88"},
    {IMAGE_RES,    "0", 	"p101",	    DEF_SKINS_ROOT_PATH"image/IconLianjie001.jpg",	"236dbc343bd1d0c5e651f33900a13c07"},
    {IMAGE_RES,    "0", 	"p102",	    DEF_SKINS_ROOT_PATH"image/IconLianjie002.jpg",	"c627364aec00131589fc942c902c65bc"},
    {IMAGE_RES,    "0", 	"p103",	    DEF_SKINS_ROOT_PATH"image/IconLianjie003.jpg",	"edb04af03cf7c7e4d29aee43c332235b"},
    {IMAGE_RES,    "0", 	"p201",	    DEF_SKINS_ROOT_PATH"image/IconNaozhong001.jpg",	"bd5e7a00b4902ca971684d6ee021fb06"},
    {IMAGE_RES,    "0", 	"p302",	    DEF_SKINS_ROOT_PATH"image/Iconstart002.gif",	"90f2b52b1399348debcec2f447dbd383"},
    {IMAGE_RES,    "0", 	"p401",	    DEF_SKINS_ROOT_PATH"image/IconTixing001.jpg",	"feff2fbedffc955b491e0349385ef6c3"},
    {IMAGE_RES,    "0", 	"p500",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang000.jpg",	"a0c29ad20d51cf86e808c83ee90b6510"},
    {IMAGE_RES,    "0", 	"p501",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang001.jpg",	"196ba4082358d3238d0dcb0035764465"},
    {IMAGE_RES,    "0", 	"p502",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang002.jpg",	"196ba4082358d3238d0dcb0035764465"},
    {IMAGE_RES,    "0", 	"p503",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang003.jpg",	"196ba4082358d3238d0dcb0035764465"},
    {IMAGE_RES,    "0", 	"p504",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang004.jpg",	"d3157ec3c194e4cc6dbcbe683fd40d3f"},
    {IMAGE_RES,    "0", 	"p505",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang005.jpg",	"3f857b11062aeddaa6061e7cabfde044"},
    {IMAGE_RES,    "0", 	"p506",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang006.jpg",	"3f857b11062aeddaa6061e7cabfde044"},
    {IMAGE_RES,    "0", 	"p507",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang007.jpg",	"64a461ee34bea341879aa5a08c717705"},
    {IMAGE_RES,    "0", 	"p508",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang008.jpg",	"b932b0b1c7766c6a995ce3e63b2b7422"},
    {IMAGE_RES,    "0", 	"p509",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang009.jpg",	"dce1278710e1831f02d8dd4fd5d0aac6"},
    {IMAGE_RES,    "0", 	"p510",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang010.jpg",	"b9ac1d7469b34d2aabe04d849c4f1112"},
    {IMAGE_RES,    "0", 	"p511",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang011.jpg",	"45e001edc7d973b15434334ad7f77771"},
    {IMAGE_RES,    "0", 	"p512",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang012.jpg",	"c9c22063c381e5cb775c82b105dce0f1"},
    {IMAGE_RES,    "0", 	"p513",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang013.jpg",	"6e06e51e83498185d148070c0643852c"},
    {IMAGE_RES,    "0", 	"p514",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang014.jpg",	"6e06e51e83498185d148070c0643852c"},
    {IMAGE_RES,    "0", 	"p515",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang015.jpg",	"694a1698c16539805ed4ee238f36586c"},
    {IMAGE_RES,    "0", 	"p516",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang016.jpg",	"0e7e847191e429618c6684ae89d30ac6"},
    {IMAGE_RES,    "0", 	"p517",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang017.jpg",	"a18f5107ada535d664b2483b02080e70"},
    {IMAGE_RES,    "0", 	"p518",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang018.jpg",	"d64992577a379c0faed0078dde767fcc"},
    {IMAGE_RES,    "0", 	"p519",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang019.jpg",	"58268a96482df75c97a177371d295bd3"},
    {IMAGE_RES,    "0", 	"p520",	    DEF_SKINS_ROOT_PATH"image/Iconyinliang020.jpg", "81ffbdc7857790696e3a7e353bd86908"},
    {IMAGE_RES,    "0", 	"p601",	    DEF_SKINS_ROOT_PATH"image/Iconlianwang001.gif",	"9e18565313b6b1769b7c5979a248dbd6"},
    {IMAGE_RES,    "0", 	"p605",	    DEF_SKINS_ROOT_PATH"image/Iconlianwang005.gif",	"ee81f49fe49864d4cbc4f7f9a1ec52c0"},
    {IMAGE_RES,    "0", 	"p703",	    DEF_SKINS_ROOT_PATH"image/IconZhuangtai003.gif","e2bdf79f8c2825c23ffbb0233328df97"},
	

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
	/// tts resources
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#if 0	
	{{TEXT_RES,		0,	"wifiparing_apparingandconnecting",	     ""}, 	"", 	TEXT_WIFIPARING_APPARINGANDCONNECTING,	""},										
	{{TEXT_RES,		0,	"bt_wifiparing",	                     ""}, 	"", 	TEXT_BT_WIFIPARING,						""},									
	{{TEXT_RES,		0,	"ap_wifiparing",	                     ""}, 	"", 	TEXT_AP_WIFIPARING,						""},									
	{{TEXT_RES,		0,	"wificonnected",	                     ""}, 	"", 	TEXT_WIFICONNECTED,						""},									
	{{TEXT_RES,		0,	"systemboot",	                         ""}, 	"", 	TEXT_SYSTEMBOOT,						""},									
	{{TEXT_RES,		0,	"notrecvingwificonfig",	                 ""}, 	"", 	TEXT_NOTRECVINGWIFICONFIG,				""},									
	{{TEXT_RES,		0,	"ble_suuccess_wait_config",	             ""}, 	"", 	TEXT_BLE_SUUCCESS_WAIT_CONFIG,			""},									
	{{TEXT_RES,		0,	"ap_wait_config",	                     ""}, 	"", 	TEXT_AP_WAIT_CONFIG,		      		""},									
	{{TEXT_RES,		0,	"wifinotconnect",	                     ""}, 	"", 	TEXT_WIFINOTCONNECT,		      		""},									
	{{TEXT_RES,		0,	"reqserver_error",	                     ""}, 	"", 	TEXT_REQSERVER_ERROR,		      		""},									
	{{TEXT_RES,		0,	"ble_connect",	                         ""}, 	"", 	TEXT_BLE_CONNECT,						""},									
	{{TEXT_RES,		0,	"ble_disconnect",	                     ""}, 	"", 	TEXT_BLE_DISCONNECT,					""},									
	{{TEXT_RES,		0,	"wifiparingsuccess",	                 ""}, 	"", 	TEXT_WIFIPARINGSUCCESS,					""},									
	{{TEXT_RES,		0,	"bt_on",	                             ""}, 	"", 	TEXT_BT_ON,								""},									
	{{TEXT_RES,		0,	"bt_off",	                             ""}, 	"", 	TEXT_BT_OFF,							""},									
	{{TEXT_RES,		0,	"alarm_remove_all",	                     ""}, 	"", 	TEXT_ALARM_REMOVE_ALL,					""},									
	{{TEXT_RES,		0,	"alarm_remove",	                         ""}, 	"", 	TEXT_ALARM_REMOVE,						""},									
	{{TEXT_RES,		0,	"alarm_add",	                         ""}, 	"", 	TEXT_ALARM_ADD,							""},									
	{{TEXT_RES,		0,	"ap_app_connected",	                     ""}, 	"", 	TEXT_AP_APP_CONNECTED,					""},									
	{{TEXT_RES,		0,	"wificonnect_err_reparing",	             ""}, 	"", 	TEXT_WIFICONNECT_ERR_REPARING,			""},									
	{{TEXT_RES,		0,	"wificonnect_err_pass",	                 ""}, 	"", 	TEXT_WIFICONNECT_ERR_PASS,				""},									
	{{TEXT_RES,		0,	"wifiparing_err_serverconnect",	         ""}, 	"", 	TEXT_WIFIPARING_ERR_SERVERCONNECT,		""},									
	{{TEXT_RES,		0,	"not_unsupport",	                     ""}, 	"", 	TEXT_NOT_UNSUPPORT,						""},									
	{{TEXT_RES,		0,	"boot_done",	                         ""}, 	"", 	TEXT_BOOT_DONE,							""},									
	{{TEXT_RES,		0,	"wifiparing_first_notice",	             ""}, 	"", 	TEXT_WIFIPARING_FIRST_NOTICE,			""},			
#endif
};

static const SKIN_RES_INFO g_emuUpgradeInfo[] = {
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"android.txt",						"8dc557037b69c69efd5615cdfc06934a"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"applying-patches.txt",			"8d65812b01d64c9df1529509083e189d"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"atomic_ops.txt",					"0d6a66d951ed4747aeee1aa7ab99d8d3"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"bad_memory.txt",					"e81b536c2095eb53f9209e26b914f426"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"basic_profiling.txt",				"1c70596bd41eb49077af5e91e16d2967"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"binfmt_misc.txt",					"8936b928d685bdf98f83f1b3e86562a4"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"braille-console.txt",				"4263bbce1595bdb3923bcb7885f866f5"},
    {VOICE_RES,	"1",  "v001",		EMU_HTTP_URL_ROOT"bt8xxgpio.txt",					"3a61d033e71cff3c75c778dad89ac565"},
    {VOICE_RES,	"1",  "v105",		EMU_HTTP_URL_ROOT"btmrvl.txt",						"f5ce90fb4a0ef97d23914fef37fba39d"},
    {VOICE_RES,	"1",  "v105",		EMU_HTTP_URL_ROOT"bus-virt-phys-mapping.txt",		"23fedac31d1b6ee5dae644ed86cc2c37"},
    {VOICE_RES,	"1",  "v105",		EMU_HTTP_URL_ROOT"cachetlb.txt",					"5db6b816869d89822759bca684024430"},
    {VOICE_RES,	"1",  "v105",		EMU_HTTP_URL_ROOT"circular-buffers.txt",			"3be2b7f00c13b160d5dba390b2ee8a54"},
    {VOICE_RES,	"1",  "v105",		EMU_HTTP_URL_ROOT"clk.txt",							"e60704c45037f922a73f49fc827b5225"},
    {VOICE_RES,	"1",  "v206",		EMU_HTTP_URL_ROOT"coccinelle.txt",					"379a83726bbf8f2ffbb12ba454788909"},
    {VOICE_RES,	"1",  "v206",		EMU_HTTP_URL_ROOT"cpu-hotplug.txt",					"e3676063c62c556a94ebf3b9296db82f"},
    {VOICE_RES,	"1",  "v206",		EMU_HTTP_URL_ROOT"cpu-load.txt",					"d9d096434110f5c017ab27ea397cee1d"},
    {VOICE_RES,	"1",  "v206",		EMU_HTTP_URL_ROOT"cputopology.txt",					"4ead2141d532dfaf1057cd2964ced3f4"},
    {VOICE_RES,	"1",  "v206",		EMU_HTTP_URL_ROOT"crc32.txt",						"644ff3d58c8ab6ca0c5c721dc78e7343"},
    {VOICE_RES,	"1",  "v206",		EMU_HTTP_URL_ROOT"dcdbas.txt",						"ad88b9a2d9b547a81ec3f28006a897bc"},
    {VOICE_RES,	"1",  "v309",		EMU_HTTP_URL_ROOT"debugging-modules.txt",			"c3b0d7040e83f85b5593dac628b3ffa5"},
    {VOICE_RES,	"1",  "v309",		EMU_HTTP_URL_ROOT"debugging-via-ohci1394.txt",		"a58d95e96be1ca24c5946c6636c4e041"},
    {VOICE_RES,	"1",  "v309",		EMU_HTTP_URL_ROOT"dell_rbu.txt",					"d5324f7ddcfbf19eb00e4c81bbb5cb7f"},
    {VOICE_RES,	"1",  "v309",		EMU_HTTP_URL_ROOT"devices.txt",						"8aa73c9268a9012eecbbb78fc4e4cc68"},
    {VOICE_RES,	"1",  "v309",		EMU_HTTP_URL_ROOT"digsig.txt",						"44b680ee0b743d63f9d0d2849e39d982"},
    {VOICE_RES,	"1",  "v309",		EMU_HTTP_URL_ROOT"DMA-API-HOWTO.txt",				"3225970a70a6a79c5112ff29b8f99ec6"},
    {VOICE_RES,	"1",  "v310",		EMU_HTTP_URL_ROOT"DMA-API.txt",						"3110d6930bd1c4c692c741f960310810"},
    {VOICE_RES,	"1",  "v310",		EMU_HTTP_URL_ROOT"DMA-attributes.txt",				"1ccc7f613bde5312a6a7452e8381d518"},
    {VOICE_RES,	"1",  "v311",		EMU_HTTP_URL_ROOT"dma-buf-sharing.txt",				"303f87732efc9effee0d6ed16e89ee37"},
    {VOICE_RES,	"1",  "v303",		EMU_HTTP_URL_ROOT"dmaengine.txt",					"80881dc6b0c7c9761be617a8f2e5eee3"},
    {VOICE_RES,	"1",  "v303",		EMU_HTTP_URL_ROOT"DMA-ISA-LPC.txt",					"a0b20e82cadca3595c95a9b7909a2120"},
    {VOICE_RES,	"1",  "v303",		EMU_HTTP_URL_ROOT"dynamic-debug-howto.txt",			"d15ef07d9fae98de0e096897da1e06ab"},
    {VOICE_RES,	"1",  "v303",		EMU_HTTP_URL_ROOT"edac.txt",						"a83b6d68f9e4c2d03ac619f912c13eb9"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"eisa.txt",						"cae33ca2a108401d9465a0589503b845"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"email-clients.txt",				"a1e6b9470ea752cf97a99ebcb9594aa0"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"feature-removal-schedule.txt",	"e45405d2fac3a3bf87b26b3faeaad5de"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"flexible-arrays.txt",				"03bfe3a8cb65aecdc96f710a140b8c27"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"futex-requeue-pi.txt",			"684984d4f7026c76533ad7f247136ef4"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"gcov.txt",						"fb711ca5323092e285f2e0b59a574009"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"gpio.txt",						"13417a2589abd22672e8c109e5c57e8e"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"highuid.txt",						"1c3e14d700b302d76b1bca29325a4a8e"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"hw_random.txt",					"6c78af2ee2fab6ae30aca725c3970da1"},
    {VOICE_RES,	"1",  "v202",		EMU_HTTP_URL_ROOT"hwspinlock.txt",					"2ac1e75e3ee30099527e344287340b0a"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"initrd.txt",						"c889974503df36fc073c891e6d9b8b0a"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"init.txt",						"bdbcc42bf6ae739157092a7fa64aaaac"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"Intel-IOMMU.txt",					"e693ef88d3d7d42c7a65a23f3975aa97"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"intel_txt.txt",					"9dd22fd4de8b9e718fefc96c15b994c8"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"io-mapping.txt",					"a7785b478117c65839749521fc020dc3"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"io_ordering.txt",					"f7a404c9794d133f9167ff1a7e2953bb"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"iostats.txt",						"4248f808a42956c73b79032686ae77bb"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"IPMI.txt",						"8b8bc6bf4528e8d82017113c17d58a37"},
    {VOICE_RES,	"1",  "v111",		EMU_HTTP_URL_ROOT"IRQ-affinity.txt",				"d89c8d406a2618cc19db636ba81ce4ca"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"IRQ-domain.txt",					"ec9bde5aa997211d7ded9658cfde4fff"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"irqflags-tracing.txt",			"b8ca946951177d2cb8099feb9c4587e2"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"IRQ.txt",							"0ef9f8f98b9eac9336c0ffb95cfc1d65"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"isapnp.txt",						"ab111f0d42d1e748d9745c09e7ff935b"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"java.txt",						"fbe28a3d11651fd214ad1d897700fd4f"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kernel-doc-nano-HOWTO.txt",		"28579d296e40e460678d0587991e9d48"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kernel-docs.txt",					"afc6fd5cdcc8b49ba794bcf5382ff2c3"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kernel-parameters.txt",			"2dc9abd6790fd24c3e841f15d0d24a38"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kmemcheck.txt",					"b301c758aed537468e98183bd04dc15d"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kmemleak.txt",					"b5108533723c0a616e8723e009244d55"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kobject.txt",						"d47cf170cd9ce2aaca082fa322b3c271"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kprobes.txt",						"7a4c60ba6c646746ca64a311b24a7919"},
    {VOICE_RES,	"1",  "v110",		EMU_HTTP_URL_ROOT"kref.txt",						"e6ee109e7185aafc4efe67cad2576352"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"ldm.txt",							"3492835c4e3f2340ef0a0d5af464b962"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"local_ops.txt",					"809dba9261b3704813557cccaeb3d83d"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"lockdep-design.txt",				"b5379d04c39758d7f979d8c6c459285b"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"lockstat.txt",					"c672433097ed3823b84bea98cafbb921"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"lockup-watchdogs.txt",			"36c72be9bf511bd0e76975f7987f97a2"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"logo.txt",						"c12e6a02a126220ed420586143f96d7e"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"magic-number.txt",				"2baed34f647a4dab43357718050ded53"},
    {VOICE_RES,	"1",  "v201",		EMU_HTTP_URL_ROOT"mca.txt",							"1ea3eab396d5433f30952ad1b30ab133"},
    {VOICE_RES,	"1",  "v304",		EMU_HTTP_URL_ROOT"md.txt",							"6cdd602644e47836f0cb357e910a4db7"},
    {VOICE_RES,	"1",  "v304",		EMU_HTTP_URL_ROOT"media-framework.txt",				"1f3f9ba9afc6c1323df2c03160b4db4d"},
    {VOICE_RES,	"1",  "v304",		EMU_HTTP_URL_ROOT"memory-barriers.txt",				"1b2369bd78d18c2f80c23ca3ab2fb8d8"},
    {VOICE_RES,	"1",  "v304",		EMU_HTTP_URL_ROOT"memory-hotplug.txt",				"e9bc23bc43814ef7fbe2bcd89692c55b"},
    {VOICE_RES,	"1",  "v304",		EMU_HTTP_URL_ROOT"memory.txt",						"c17ccb89201a46532f3b95fee4adc372"},
    {VOICE_RES,	"1",  "v304",		EMU_HTTP_URL_ROOT"mono.txt",						"da6d7823007522089fc4bfefc1752b16"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"mutex-design.txt",				"278a8bef9b14c136939715738cc0f0e8"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"nommu-mmap.txt",					"9f4e01823e63aec8b42bf523389664fc"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"numastat.txt",					"bebd74fc4713e1500702be1a90113f74"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"oops-tracing.txt",				"87f1184ede24989279c9a1dfa1ccfae1"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"padata.txt",						"bd3486df46e488dd75d1e67b2bb52da9"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"parport-lowlevel.txt",			"a7d58201239229037269d4fd7ba720ac"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"parport.txt",						"fa8d7291a3e7d5c2afe5a2060a0abb50"},
    {VOICE_RES,	"1",  "v108",		EMU_HTTP_URL_ROOT"pi-futex.txt",					"492ac92f69716bfaa0c40a909c992ade"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"pinctrl.txt",						"9b7c710bba0b9aaae7e4f3794a548511"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"pnp.txt",							"a7338b790fd6b30b4071fcacbfcedc4e"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"preempt-locking.txt",				"5b7ed3fd44bb218e897492667b316a56"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"printk-formats.txt",				"8eaefbea3500e15cc155045b3d3ef39c"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"prio_tree.txt",					"1b079f5eac72227ecee86a7693ae8f69"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"ramoops.txt",						"b50016891d7184720439346f362083e3"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"rbtree.txt",						"a35e53c01ecfe9fbc534425504b8f408"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"remoteproc.txt",					"d9599a6eda47e17ade41491b1106db22"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"rfkill.txt",						"d86dc1dc7f27a25692b40cb739a88a09"},
    {VOICE_RES,	"1",  "v107",		EMU_HTTP_URL_ROOT"robust-futex-ABI.txt",			"32be0a8a71053b3258c8dc13c8e3f981"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"robust-futexes.txt",				"1ac8f369bc00680aa40e8dfd3bc766c3"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"rpmsg.txt",						"67b8fcf7e064b15d910e6ef41b944984"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"rtc.txt",							"51577c35a6c713e85bc4325dde78f1f9"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"rt-mutex-design.txt",				"25703f95e001b8ab0a92ec7e22f85527"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"rt-mutex.txt",					"b449bdf78dad3a5ff62eb7a0853c0c99"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"SAK.txt",							"bb81ce113927582c1513704f360129fd"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"serial-console.txt",				"814e90de90e893f56eb12cc536dc7d42"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"sgi-ioc4.txt",					"f4e0584fa5b55907435c3374c6ae6601"},
    {VOICE_RES,	"1",  "v333",		EMU_HTTP_URL_ROOT"sgi-visws.txt",					"0bb26ebbfc96a898f54126d5762cd3de"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"SM501.txt",						"58ce960675582f8414019f33a27e1260"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"sparse.txt",						"8bc3d0ada8ca01475d69431cd9cd4ec0"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"spinlocks.txt",					"d903caeac016182fd7bb349af658bb1a"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"stable_api_nonsense.txt",			"ca2acd6fd94048b5b03b213922d962b5"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"stable_kernel_rules.txt",			"3948439142160832a55510a93746b738"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"static-keys.txt",					"6d801dd48021a20394a7eaa82f0b758d"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"svga.txt",						"ffc4306708801c3489dc575998ecca43"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"sync.txt",						"381c9f8905dfc34f66eef3e3e486f0d1"},
    {VOICE_RES,	"1",  "v203",		EMU_HTTP_URL_ROOT"sysfs-rules.txt",					"84cfa60b3ba436be5acd54034bc15c84"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"sysrq.txt",						"f24e71d4fed0257178078b820927791b"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"unaligned-memory-access.txt",		"a5a387aeec918a0f528f85bcb76bc8c5"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"unicode.txt",						"fd815b4b43d0cf5a85ca44d0db76dde7"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"unshare.txt",						"a3ca54a1d655c512654510e56b4c8e53"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"vgaarbiter.txt",					"802d04a400dfb5959711fe8088c62f01"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"VGA-softcursor.txt",				"88c93a1b83277f3fc3fb07de148fd726"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"video-output.txt",				"60ab68e5be73008948e8f1426db0941b"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"volatile-considered-harmful.txt",	"8983aa37ffb5d56400e7f54ca9aa88d6"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"workqueue.txt",					"6fadee709d10fbbdc4ed587020dbb9b7"},
    {VOICE_RES,	"1",  "v204",		EMU_HTTP_URL_ROOT"xz.txt",							"4c3cdd3cc9795936719f90c5998e444d"},
    {VOICE_RES,	"1",  "v904",		EMU_HTTP_URL_ROOT"zorro.txt",						"5afccd5699a870edbaeeb4842171e637"}
};
#ifdef __cplusplus
}
#endif                    
#endif
