package globals

const (
	CMD_MISC_PING = iota
	CMD_MISC_OTA
	CMD_MISC_WEATHER
	CMD_MISC_NOWTIME
)
const (
	CMD_SEARCH_PLAYER_REQ = 0X07 + iota
	CMD_SEARCH_PLAYER_RESP
)
const (
	CMD_CALL_DIAL = 0x0300 + iota
	CMD_CALL_ACCEPI
	CMD_CALL_HANGUP
	CMD_CALL_MESSAGE
)

const (
	CMD_PLAYER_MODECHANGE = 0x0600 + iota
	CMD_PLAYER_PLAY
	CMD_PLAYER_PAUSE
	CMD_PLAYER_STOP
	CMD_PLAYER_SEEKTO
	CMD_PLAYER_SHOWMODE
	CMD_PLAYER_NEXT
	CMD_PLAYER_PRE
	CMD_PLAYER_SEEKTO_PLAY
	CMD_PLAYER_SHOWLIST
	CMD_PLAYER_UPDATELIST
	CMD_PLAYER_PERPARE_NEXT

	CMD_PLAYER_ADD_TO_LIST
	CMD_PLAYER_DEL_FROM_LIST
	CMD_PLAYER_RESET_LIST

	/* 测试播放器的命令 */
	CMD_SHOW_LIST
	CMD_SHOW_HIS
	CMD_REPLAY_TTS
	CMD_DAILY_PUSH
	CMD_NEW_TOP
	CMD_HOT_TOP
	CMD_DENON_TOP
	CMD_CLASSIC_TOP
	CMD_ORIGINAL_TOP
	CMD_BEAPORT_TOP
	CMD_SOARING_TOP
	CMD_ACG_TOP
	CMD_JP_NEW
	CMD_CH_NEW
	CMD_PRIVATE_FM
	CMD_CREALTE_LIST
	CMD_SINGLE
	CMD_MODE_CHANGE
	CMD_TTS_LEVEL
	CMD_ALARM_S
	CMD_ALARM_L
	CMD_OTA_TTS
	CMD_SE_TEST
	CMD_DLNA_CTRL
	CMD_CTRL_DLNA_ON_APP
	CMD_AGENCY_TEST
	CMD_SERVER_CHANGE
	CMD_AUDIO_URL
	CMD_AIRPLAY_CTRL
	CMD_TTS_SEL
	CMD_TTS_LOOK
	APP_CMD_SINGLE
	APP_CMD_CREATE_LIST
	APP_CMD_NEW
	APP_CMD_WORD
	APP_CMD_LISTID
	CMD_BIRTHDAY_TEST
	CMD_SET_UUUI
	CMD_SET_KEY
	CMD_SET_TOKEN
	CMD_SET_BINDUSER
	CMD_SET_BIRTHDAY
	CMD_BT_RESET
	CMD_SCENE_TEST
	CMD_SONGID_SHIELD
	CMD_FILTER_TTS
	CMD_LIKED_SEARCH
	CMD_PLAY_URL
	CMD_BGPLAYER_TEST
	CMD_TOP3_INFORM_TEST
	CMD_TOP3_INSERT_TEST
	CMD_VOL_SET
	CMD_ENTER_SCENE
	CMD_PULL_CFG_LIST
	CMD_KEY_VOL_TEST
	CMD_DIRECT_LED_CLEAR_TEST
	CMD_REPLAY_CUR
	CMD_DIS_DEVICE
	CMD_INIT_PLAYER
	CMD_FORCE_CFGCB
	CMD_CFG_SAVE_TEST
)

const (
	CMD_PLAYER_AUDIO_STOP = 0x0700 + iota
	CMD_PLAYER_AUDIO_PLAY_NOTICE
)

const (
	CMD_SE_PLAY = 0x0780 + iota
	CMD_SE_PLAYER_STATE_NTF
)

const (
	CMD_PLAYER_RET_STATUS = 0x0800 + iota
)

const (
	CMD_KPLAYER_START = 0x1b00 + iota
	CMD_KPLAYER_STOP
	CMD_KPLAYER_NOTIF_DUR
	CMD_KPLAYER_HOST_ACTION
)
const (
	CMD_KPLAYER_CTR_NTF_BASE = 0x1c00 + iota
	CMD_KPLAYER_CTR_CTREATED
	CMD_KPLAYER_CTR_DELTED
	CMD_KPLAYER_CTR_PLAY
	CMD_KPLAYER_CTR_STOP
	CMD_KPLAYER_CTR_PAUSE
	CMD_KPLAYER_CTR_SEEK
	CMD_KPLAYER_CTR_SET_URL
	CMD_KPLAYER_CTR_SET_VOLUME
	CMD_KPLAYER_CTR_SET_MUTE
	CMD_KPLAYER_CTR_SET_NXT_URL
	CMD_KPLAYER_CTR_SET_NEXT
	CMD_KPLAYER_CTR_SET_PREVW
)

const (
	CMD_SPLAYER_SFIFO_TEST = 0x1d00 + iota
	CMD_SPLAYER_START
	CMD_SPLAYER_STOP
	CMD_SPLAYER_HOST_ACTION
)

const (
	CMD_SPLAYER_CTR_NTF_BASE = 0x1e00 + iota
	CMD_SPLAYER_MSG_TYPE_CREATE
	CMD_SPLAYER_MSG_TYPE_DEL
	CMD_SPLAYER_MSG_TYPE_START
	CMD_SPLAYER_MSG_TYPE_STOP
	CMD_SPLAYER_MSG_TYPE_SET_VOLUME
	CMD_SPLAYER_MSG_TYPE_STREAMING
	CMD_SPLAYER_MSG_TYPE_DESTRY
	CMD_SPLAYER_MSG_TYPE_DURATION
	CMD_SPLAYER_MSG_TYPE_STREAM_NTF
)

const (
	CMD_AIRPLAYER_PLAY = 0x0790 + iota
	CMD_AIRPLAYER_PAUSE
	CMD_AIRPLAYER_STOP
)

//Controller
//0X0900 - 0X09ff
const (
	CMD_CONTROLLER_MSG_MSC = 0xa00 + iota
	CMD_CONTROLLER_MSG_YUNXIN
)

const (
	CMD_BROADCAST_PLAYER_ST = 0x0a07
)
