package schedule

type SCMD uint32

const (
	//Super task cmd
	SCMD_SuperTaskStart SCMD = iota
	//Every Super task Module Cmd
	SCMD_SuperTask_Test0
	SCMD_SuperTask_Test1

	//system service
	SCMD_SuperTask_System_BeginInit
	SCMD_SuperTask_System_BeginOta
	SCMD_SuperTask_System_WifiParing
	SCMD_SuperTask_System_WifiModeChange_AP_BT

	SCMD_SuperTask_Tts_Play
	SCMD_SuperTask_Tts_Stop

	SCMD_SuperTask_Tts_Ctrl_Play
	SCMD_SuperTask_Tts_Ctrl_Stop

	//Voice
	SCMD_SuperTask_Voice_ContinuSession
	SCMD_SuperTask_Voice_WakeUp
	SCMD_SuperTask_Voice_SessionBegin
	SCMD_SuperTask_Voice_Recoging
	SCMD_SuperTask_Voice_RecogFinish
	SCMD_SuperTask_Voice_RecogTimeout
	SCMD_SuperTask_Voice_RecogErr

	//iot
	SCMD_SuperTask_Enter_IOT_WifiParing

	//btOnWifiOff
	SCMD_SuperTask_Enter_btOnWifiOff
	SCMD_SuperTask_Exit_btOnWifiOff

	//Alarm
	SCMD_SuperTask_Alarm_Ring
	//Remind
	SCMD_SuperTask_Remind_Ring

	SCMD_SuperTaskStartEnd

	//Music and sceene cmc
	SCMD_MusicPlayerStart
	//Music player common
	SCMD_MusicPlayerCommonStart
	SCMD_MusicPlayer_Pause
	SCMD_MusicPlayer_Play
	SCMD_MusicPlayer_PlayOrPause
	SCMD_MusicPlayer_RequestPlay
	SCMD_MusicPlayer_Stop
	SCMD_MusicPlayer_Seek
	SCMD_MusicPlayer_PlayNext
	SCMD_MusicPlayer_PlayPre
	SCMD_MusicPlayerCommonEnd

	SCMD_Scene_Exit
	//Every Module Cmd

	SCMD_MusicPlayerEnd

	SCMD_ScheduleCore_Start
	SCMD_MusicPlayer_Offline
	SCMD_SChedule
	SCMD_KeyInterrupt
	SCMD_ScheduleCore_End
)
