package bt

/*
#include <stdlib.h>
*/
import "C"
import (
	"netease_control_center/interfaces/log"
)

type BT_EVENT int

const (
	BT_AVK_CONNECTED_EVT BT_EVENT = iota
	BT_AVK_DISCONNECTED_EVT
	BT_AVK_START_EVT /* stream data transfer started */
	BT_AVK_STOP_EVT  /* stream data transfer stopped */
	BT_AVK_CONNECT_COMPLETED_EVT
)
const (
	BT_HS_CONNECTED_EVT BT_EVENT = 0xf0 + iota
	BT_HS_DISCONNECTED_EVT
	BT_HS_RING_EVT
	BT_HS_OK_EVT
	BT_DISCOVER_COMPLETE
	BT_HS_ERROR_EVT
)

//export BlueToothCallback
func BlueToothCallback(event int) {
	log.Println(log.DebugLog, "This is ran on go environment, with event: ", event)
}
