package player

import (
	"netease_control_center/globals"
	"time"
)

//import (
//	"netease_control_center/modules/hardware/mcu_leds/atservice"
//	"netease_control_center/interfaces/vui"
//	"netease_control_center/globals"
//)
//
//type DirectLed struct {
//	EffectId     atservice.GUIDE_EFFECT_ID
//	Action       atservice.GUIDE_ACTION
//	StartLampNum uint8
//	Data         []byte
//}
//
//type NoticePlayerParams struct {
//	Tts        string
//	SrcType    globals.AdSrcType
//	Level      globals.TtsLevel
//	NeedRepeat bool
//	Keep       bool
//	IconIn     vui.IconLedDesc
//	IconOut    vui.IconLedDesc
//	LedOn      DirectLed
//	LedOff     DirectLed
//	SpecialCmd string
//	SpecialFunc func()
//}

type commonPlayApiArg struct {
	prepare            bool
	songId             *globals.SongInfo
	songUrl            *string
	tts                string
	ttsUrl             string
	ttsNow             bool
	needChangeNHDIndex bool //NHD，N：new，H：hot，D：daily 新歌榜，热歌榜和 每日推荐的缩写
	srcType            globals.MusicSrcType
	nextOrPreSong      bool
	filterTts          bool //有没有否定功能的tts
	rspId              string
	action             string
	actionSrc          string
	switchSongByUser   bool
	IsFirstRepeat      bool //是否第一次循环播放
}

type Top3PlayInform struct {
	AlbumId  string `json:"albumId"`
	ArtistId string `json:"artistId"`
	SongId   string `json:"id"`
	Tts      string `json:"tts"`
}

var (
	backGroundPlayerTest bool = false
	informTop3Test       bool = false
)

const (
	SONG_CAN_PLAY int = iota + 200
	SONG_NEED_PAY
	SONG_OFFLINE
)

const (
	ERR_PLAY_MAX = 1
)

const (
	TIME_PAUSE_STOP time.Duration = 1 * time.Second
)
