/* =========================================================================

DESCRIPTION
   Netease dbus program

Copyright (c) 2017 by Netease, Co,LTD.  All Rights Reserved.
============================================================================ */

/* =========================================================================

                             REVISION

when                       who why
--------                    ---------
-------------------------------------------
2017/06/28          wangzijiao                                  Created.
============================================================================ */

#ifndef __DBUS_H__
#define __DBUS_H__

#ifdef __cplusplus
extern "C" {
#endif /* C++ */

#include <uvdbus/libuv_dbus.h>
/* ------------------------------------------------------------------------
** Types
** ------------------------------------------------------------------------ */
int Netease_Dbus_Init(OnDBusMessage msgcb);
void Netease_dbus_initargs();
void Netease_dbus_get_playerstatus();
void Netease_Dbus_Start_Sync();
int Netease_Dbus_Send_CMD(unsigned int from, unsigned int dest,
                          unsigned int buscmd, void *data, size_t datalen);
int Netease_Dbus_Send_CMD_ERROR(unsigned int from, unsigned int dest,
                                unsigned int buscmd, int error);

int Netease_dbus_oem_init(OnDBusMessage msgcb);
void Netease_dbus_oem_start();

#ifdef __cplusplus
} /* extern "C" */
#endif /* C++ */

#endif /* __DBUS_H__ */
