/* =========================================================================

DESCRIPTION
   Netease && Xunfei speech processing main program

Copyright (c) 2017 by Netease, Co,LTD.  All Rights Reserved.
============================================================================ */

/* =========================================================================

                             REVISION

when                       who why
--------                    ---------
-------------------------------------------
2017/06/28          wangzijiao                                  Created.
============================================================================ */

#ifndef __YUNXIN_H__
#define __YUNXIN_H__

#ifdef __cplusplus
extern "C" {
#endif /* C++ */

#include "AudioQueue.h"
#include <alsa/asoundlib.h>
#include <audiobypass.h>
/* ------------------------------------------------------------------------
** Types
** ------------------------------------------------------------------------ */
int Netease_yunxin_test();
void Netease_yunxin_login();
char *Netease_yunxin_dbus_getstatus();
int Netease_yunxin_init(struct audio_bypass **bypass);
void Netease_yunxin_writeaudio(const char *inputbuf, size_t inputsize);

#ifdef __cplusplus
} /* extern "C" */
#endif /* C++ */

#endif /* __YUNXIN_H__ */
