package eventPoint

import "time"

const (
	H311 string = "H311"
	H312 string = "H312"
	F141 string = "F141"
	F234 string = "F234"
	F235 string = "F235"
	F236 string = "F236"
	F241 string = "F241"
	F242 string = "F242"
	B251 string = "B251"
	A235 string = "A235"

	EventPrepare string = "prepare"
	EventPlay    string = "play"
)

const (
	PING_MAX_TIME time.Duration = 10 * time.Second
	PING_ADDR                   = "www.163.com"
)
const (
	modelKey     = "model"
	srcIdKey     = "sourceid"
	songIdKey    = "songid"
	srcKey       = "source"
	rspIdKey     = "rspid"
	startTypeKey = "startaction"
	srcOsKey     = "sourceos"
	endKey       = "end"
	audioIdKey   = "audioid"
	audioInfoKey = "audioinfo"
	pingDelayKey = "pingdelay"
	pingAddrKey  = "pingaddr"
)

const (
	ModelValBt      string = "BT"
	ModelValDlna    string = "DLNA"
	ModelValAirplay string = "airplay"

	ModelValPlay  string = "play"
	ModelValPause string = "pause"

	SrcValVoice string = "broadcast"
	SrcValRcmd  string = "push"

	EndValInterrupt string = "switch"
	EndValPlayOver  string = "end"
)
