package innerTask

import "time"

type ICmd_Exec_Func func(cmd ICmd, arg ...interface{})

type ICmdStruct struct {
	Cmd      ICmd `json:"cmd"`
	PackTime time.Time
	Args     []interface{} `json:"args"`
}

type ICmd uint32

const (
	ICmd_Start_Nil ICmd = iota
	ICmd_Create_Session_With_Server_Param
	ICmd_Create_Session_With_Device_Param

	ICmd_Trig_Exec // 触发执行内部task

	ICmd_Set_Comfirm_Info // 存储演唱会票务信息

	ICmd_Enter_Scene
	ICmd_Toast_Tts
	ICmd_ConfirmSession_Deal

	d
)
