package player

import (
	. "netease_control_center/globals"
)

type PlayerRecoverLevel byte

const (
	LOW_RECOVER_LEVEL PlayerRecoverLevel = iota
	MIDDLE_RECOVER_LEVEL
	HIGH_RECOVER_LEVEL
	COLSE_RECOVER_LEVEL
)

var (
	playerRecoverLevel PlayerRecoverLevel = LOW_RECOVER_LEVEL

	ttsNoMusic   bool = false // 准备下一首时，如果没有音乐，不要立即播报，而是等播放完成再播报
	ttsMusicUuid string
	ttsInfo      string = ""
)

const (
	INVAILED_INDEX MusicLenType = 0XFFFF

	PLAY_FROM_START_POS = 0

	XIAOYA_URL = "http://asr.speaker.ainirobot.com:8080/text2audio?&tex="
	XIAOYA_CFG = "&cuid=0&lan=zh&ctp=1&pdt=27&per=0&aue=3&rate=3&spd=5&vol=9"

	ROKID_SERVER_URL = "%s?resId=%s&vboxId=%s&appId=%s&text=%s"
)
