/* =========================================================================

DESCRIPTION
   Netease && Xunfei speech processing main program
   Cae voice process

Copyright (c) 2017 by Netease, Co,LTD.  All Rights Reserved.
============================================================================ */

/* =========================================================================

                             REVISION

when                       who why
--------                    ---------
-------------------------------------------
2017/06/28          wangzijiao                                  Created.
============================================================================ */

#ifndef __NDUILITE_H__
#define __NDUILITE_H__

#ifdef __cplusplus
extern "C" {
#endif /* C++ */

#include <duilite.h>
/* ------------------------------------------------------------------------
** Types
** ------------------------------------------------------------------------ */
// 0 fail, 1 success
int Netease_nduilite_init(duilite_callback wakeup_callback,
                          duilite_callback doa_callback,
                          duilite_callback beamforming_callback,
                          duilite_callback vad_callback);
void Netease_nduilite_writeaudio(const void *audioData, unsigned int audio_len);
int Netease_duilite_vad_start();
int Netease_duilite_vad_stop(char IsLock); // 1 lock, other unlock
int Neteaase_duilite_vad_cancel();
int Netease_duilite_fespa_set(char *arg);

#ifdef __cplusplus
} /* extern "C" */
#endif /* C++ */

#endif /* __CAE_H__ */
